<template lang="pug">
.tags( :class='{ "has-addons": hasDelete }' )
	component.tag( :is='as' :to='to' :class='bindClass' ): slot
	.tag.is-delete( v-if='hasDelete' @click='emit("onDelete")' )
</template>

<script setup>
import { computed } from "vue"

const props = defineProps({
	as: {
		type: String,
		default: "div",
		validator: val => [ "div", "router-link", "a" ].includes(val)
	},
	type: String,
	to: Object,
	isLight: Boolean,
	hasDelete: Boolean
})

const emit = defineEmits([ "onDelete" ])

const bindClass = computed(() => [
	props.isLight ? "is-light" : "",
	props.type ? `is-${props.type}` : ""
]) 
</script>

<style lang="scss" scoped>
.is-delete {
	cursor: pointer;
}
</style>